#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	Text
%define		pnam	CSV_XS
Summary:	Text::CSV_XS - comma-separated values manipulation routines
Summary(pl.UTF-8):	Text::CSV_XS - operacje na wartościach oddzielonych przecinkami
Name:		perl-Text-CSV_XS
Version:	1.51
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	da151be3259b7d95e1a3573cab26dae2
URL:		https://metacpan.org/dist/Text-CSV_XS
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::CSV_XS Perl module provides facilities for the composition and
decomposition of comma-separated values. An instance of the
Text::CSV_XS class can combine fields into a CSV string and parse a
CSV string into fields.

%description -l pl.UTF-8
Moduł Perla Text::CSV_XS udostępnia metody do składania i rozkładania
wartości oddzielonych przecinkami. Instancja klasy Text::CSV_CS
potrafi łączyć pola w łańcuch CSV oraz rozkładać łańcuch CSV na pola.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Text/CSV_XS.pm
%dir %{perl_vendorarch}/auto/Text/CSV_XS
%attr(755,root,root) %{perl_vendorarch}/auto/Text/CSV_XS/CSV_XS.so
%{_mandir}/man3/Text::CSV_XS.3pm*
%changelog
* Wed Aug 23 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-CSV_XS.git;a=log;h=master

* Wed Aug 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 2aa3d0d
- updated to 1.51

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> d1e2364
- perl 5.38.0 rebuild

* Fri Feb 03 2023 Jakub Bogusz <qboosh@pld-linux.org> 436b1b0
- updated to 1.49

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> cb3e5b3
- perl 5.36.0 rebuild

* Mon May 30 2022 Jakub Bogusz <qboosh@pld-linux.org> 97f4033
- updated to 1.48

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> cf8c00c
- rebuild with perl 5.34.0

* Tue May 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 1e6f9a1
- updated to 1.46

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> bd4af3c
- rebuild with perl 5.32

* Tue May 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 87e4fab
- updated to 1.41

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 9ff5ba5
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 66bd7d3
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 14f97b2
- up to 1.40

* Fri Oct 05 2018 Jakub Bogusz <qboosh@pld-linux.org> 1760cbc
- updated to 1.37

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> 37aa106
- updated to 1.36

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> c22e826
- updated to 1.34

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 581fbd9
- perl req/prov fix
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a8b246c
- rebuild with perl 5.26
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 3ff7a3d
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f5e2746
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> aef2467
- x32 rebuild
- release 2 (by relup.sh)

